# dmd.nogc

Checks that a function marked `@`nogc`` does not invoke the Garbage Collector.

Specification: No-GC Functions

#### Authors

Walter Bright

#### License

Boost License 1.0

Source: nogc.d

Documentation: https://dlang.org/phobos/dmd_nogc.html

Coverage: https://codecov.io/gh/dlang/dmd/src/master/src/dmd/nogc.d

- `NOGCVisitor`

  #### Declaration

  `class `NOGCVisitor`: dmd.visitor.StoppableVisitor;`

  Look for GC-allocations